Album: Battle of the Bottoms OST
Date: January 28, 2024
Date Added: July 01, 2025
URLs:
- https://nyquillionaire.bandcamp.com/album/battle-of-the-bottoms-ost
Artists:
- nyquillionaire
Cover Artists:
- spicyyeti
Art Tags:
- Dave
- Karkat
Cover Art File Extension: png
Color: '#3f51fc'
Groups:
- Fandom
---
Track: Wanna touch tips?
Duration: 1:21
URLs:
- https://nyquillionaire.bandcamp.com/track/wanna-touch-tips
---
Track: WAY TO BE A FUCKING BONER KILLER
Duration: 1:30
URLs:
- https://nyquillionaire.bandcamp.com/track/way-to-be-a-fucking-boner-killer
---
Track: '[recalibrating]'
Duration: 1:19
URLs:
- https://nyquillionaire.bandcamp.com/track/recalibrating-2
---
Track: YOU HAVE TO FLIP IT TURNWAYS!!!!!!!!!!!!!!!!!!!
Duration: 1:26
Sampled Tracks:
- Amen, Brother
URLs:
- https://nyquillionaire.bandcamp.com/track/you-have-to-flip-it-turnways
---
Track: OKAY321GO
Duration: 1:37
URLs:
- https://nyquillionaire.bandcamp.com/track/okay321go